{
    attributes = (
        {
            allowsNull = Y; 
            definition = toGarnucheHistorique.toGrhumEtudiant.toGrhumIndividu.nomPatronymique; 
            externalType = VARCHAR2; 
            name = adrNom; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            definition = toGarnucheHistorique.toGrhumEtudiant.toGrhumIndividu.prenom; 
            externalType = VARCHAR2; 
            name = adrPrenom; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            columnName = DSPE_CODE; 
            externalType = NUMBER; 
            name = dspeCode; 
            precision = 32; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            definition = toGarnucheHistorique.etudNumero; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            definition = toGarnucheHistorique.histAnneeScol; 
            externalType = NUMBER; 
            name = histAnneeScol; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = HIST_NUMERO; 
            externalType = NUMBER; 
            name = histNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_ANNEE_SUIVIE; 
            externalType = NUMBER; 
            name = idiplAnneeSuivie; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_DATE_DEMISSION; 
            externalType = DATE; 
            name = idiplDateDemission; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = IDIPL_DATE_INSC; 
            externalType = DATE; 
            name = idiplDateInsc; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "DECODE(idiplPassageConditionnel,'O','O',' ')"; 
            externalType = VARCHAR2; 
            name = idiplPassage; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDIPL_PASSAGE_CONDITIONNEL; 
            externalType = VARCHAR2; 
            name = idiplPassageConditionnel; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(toScolInscriptionEtudiant.ietudPourcentage2,toScolInscriptionEtudiant.ietudPourcentage1)"; 
            externalType = NUMBER; 
            name = idiplPourcentage; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = IDIPL_TYPE_INSCRIPTION; 
            externalType = NUMBER; 
            name = idiplTypeInscription; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(resCodeIdipl,toScolInscriptionEtudiant.resCode)"; 
            externalType = VARCHAR2; 
            name = resCode; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolInscriptionEtudiant.resCode; 
            externalType = VARCHAR2; 
            name = resCodeEtudiant; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = RES_CODE; 
            externalType = VARCHAR2; 
            name = resCodeIdipl; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (idiplNumero); 
    className = EOGenericRecord; 
    classProperties = (
        idiplNumero, 
        histNumero, 
        dspeCode, 
        idiplTypeInscription, 
        idiplDateInsc, 
        resCodeIdipl, 
        idiplDateDemission, 
        idiplAnneeSuivie, 
        toScolInscriptionEtudiant, 
        resCodeEtudiant, 
        idiplPassageConditionnel, 
        idiplPassage, 
        toGarnucheHistorique, 
        toScolFormationSpecialisation, 
        adrNom, 
        adrPrenom, 
        etudNumero, 
        histAnneeScol, 
        resCode, 
        idiplPourcentage, 
        toPedagogieEtudiant
    ); 
    externalName = GARNUCHE.INSC_DIPL; 
    fetchSpecificationDictionary = {}; 
    name = GarnucheInscDipl; 
    primaryKeyAttributes = (idiplNumero); 
    relationships = (
        {
            destination = GarnucheHistorique; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = histNumero; sourceAttribute = histNumero; }); 
            name = toGarnucheHistorique; 
        }, 
        {
            destination = PedagogieEtudiant1; 
            internalInfo = {_nameInObjectStore = toEtudiant; }; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }); 
            name = toPedagogieEtudiant; 
        }, 
        {
            destination = ScolFormationSpecialisation; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fspnKey; sourceAttribute = dspeCode; }); 
            name = toScolFormationSpecialisation; 
        }, 
        {
            destination = ScolInscriptionEtudiant4; 
            internalInfo = {_nameInObjectStore = toEtudiant; }; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }); 
            name = toScolInscriptionEtudiant; 
        }
    ); 
}
